var qrcode = require("./qrcode");
const formatTime = (date, fmt) => {
  try {
    if (!date) {
      return date;
    }
    if (typeof date == "number") {
      date = new Date(date);
    }
    var o = {
      "M+": date.getMonth() + 1, //月份
      "d+": date.getDate(), //日
      "h+": date.getHours(), //小时
      "m+": date.getMinutes(), //分
      "s+": date.getSeconds(), //秒
      "q+": Math.floor((date.getMonth() + 3) / 3), //季度
      "S": date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
      if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
  } catch (error) {
    return date;
  }
}
const formatNumber = n => {
  n = n.toString()
  return n[1] ? n : '0' + n
}

function fmtDate(obj) {
  var date = new Date(obj);
  var y = 1900 + date.getYear();
  var m = "0" + (date.getMonth() + 1);
  var d = "0" + date.getDate();
  return (
    y +
    "." +
    m.substring(m.length - 2, m.length) +
    "." +
    d.substring(d.length - 2, d.length)
  );
}

function formatDate02(obj) {
  var date = new Date(obj);
  var y = 1900 + date.getYear();
  var m = "0" + (date.getMonth() + 1);
  var d = "0" + date.getDate();
  return (
    y +
    "-" +
    m.substring(m.length - 2, m.length) +
    "-" +
    d.substring(d.length - 2, d.length)
  );
}
function isJSON(str) {
  if (typeof str == 'string') {
    console.log("string")
    try {
      var obj = JSON.parse(str);
      if (typeof obj == 'object' && obj) {
        return true;
      } else {
        return false;
      }
    } catch (e) {
      console.log(e);
      wx.showToast({
        title: '请扫描正确的二维码',
        icon: 'none',
        duration: 1300
      })
    }
  } else {
    wx.showToast({
      title: '请扫描正确的二维码',
      icon: 'none',
      duration: 1300
    })
  }
}
module.exports = {
  formatTime: formatTime,
  fmtDate: fmtDate,
  isJSON: isJSON,
  formatDate02: formatDate02
}